//
//  ReassuranceIndicator.swift
//  AlloVoisinsSwiftUI
//
//  Created by Victor on 22/01/2025.
//

import SwiftUI

struct ReassuranceIndicatorSection: View {
    let indicator: ReassuranceIndicator

    var body: some View {
        VStack(spacing: 8) {
            ZStack {
                Circle()
                    .fill(Color.sqNeutral(15))
                    .frame(width: 32, height: 32)

                SQIcon(indicator.icon, size: .s, type: .solid)
            }

            SQText(indicator.text)
                .sqSize(14)
                .multilineTextAlignment(.center)
        }
    }
}
